Open CASCADE Technology  7.7.0.dev
Public Member Functions

Draft_EdgeInfo Class Reference

#include <Draft_EdgeInfo.hxx>

Public Member Functions

 Draft_EdgeInfo ()
 
 Draft_EdgeInfo (const Standard_Boolean HasNewGeometry)
 
void Add (const TopoDS_Face &F)
 
void RootFace (const TopoDS_Face &F)
 
void Tangent (const gp_Pnt &P)
 
Standard_Boolean IsTangent (gp_Pnt &P) const
 
Standard_Boolean NewGeometry () const
 
void SetNewGeometry (const Standard_Boolean NewGeom)
 
const Handle< Geom_Curve > & Geometry () const
 
const TopoDS_FaceFirstFace () const
 
const TopoDS_FaceSecondFace () const
 
const Handle< Geom2d_Curve > & FirstPC () const
 
const Handle< Geom2d_Curve > & SecondPC () const
 
Handle< Geom_Curve > & ChangeGeometry ()
 
Handle< Geom2d_Curve > & ChangeFirstPC ()
 
Handle< Geom2d_Curve > & ChangeSecondPC ()
 
const TopoDS_FaceRootFace () const
 
void Tolerance (const Standard_Real tol)
 
Standard_Real Tolerance () const
 

Constructor & Destructor Documentation

◆ Draft_EdgeInfo() [1/2]

Draft_EdgeInfo::Draft_EdgeInfo ( )

◆ Draft_EdgeInfo() [2/2]

Draft_EdgeInfo::Draft_EdgeInfo ( const Standard_Boolean  HasNewGeometry)

Member Function Documentation

◆ Add()

void Draft_EdgeInfo::Add ( const TopoDS_Face F)

◆ ChangeFirstPC()

Handle< Geom2d_Curve >& Draft_EdgeInfo::ChangeFirstPC ( )

◆ ChangeGeometry()

Handle< Geom_Curve >& Draft_EdgeInfo::ChangeGeometry ( )

◆ ChangeSecondPC()

Handle< Geom2d_Curve >& Draft_EdgeInfo::ChangeSecondPC ( )

◆ FirstFace()

const TopoDS_Face& Draft_EdgeInfo::FirstFace ( ) const

◆ FirstPC()

const Handle< Geom2d_Curve >& Draft_EdgeInfo::FirstPC ( ) const

◆ Geometry()

const Handle< Geom_Curve >& Draft_EdgeInfo::Geometry ( ) const

◆ IsTangent()

Standard_Boolean Draft_EdgeInfo::IsTangent ( gp_Pnt P) const

◆ NewGeometry()

Standard_Boolean Draft_EdgeInfo::NewGeometry ( ) const

◆ RootFace() [1/2]

const TopoDS_Face& Draft_EdgeInfo::RootFace ( ) const

◆ RootFace() [2/2]

void Draft_EdgeInfo::RootFace ( const TopoDS_Face F)

◆ SecondFace()

const TopoDS_Face& Draft_EdgeInfo::SecondFace ( ) const

◆ SecondPC()

const Handle< Geom2d_Curve >& Draft_EdgeInfo::SecondPC ( ) const

◆ SetNewGeometry()

void Draft_EdgeInfo::SetNewGeometry ( const Standard_Boolean  NewGeom)

◆ Tangent()

void Draft_EdgeInfo::Tangent ( const gp_Pnt P)

◆ Tolerance() [1/2]

Standard_Real Draft_EdgeInfo::Tolerance ( ) const

◆ Tolerance() [2/2]

void Draft_EdgeInfo::Tolerance ( const Standard_Real  tol)

The documentation for this class was generated from the following file: